diff -Naur LinNeighborhood-0.6.5.orig/LinNeighborhood.spec LinNeighborhood-0.6.5/LinNeighborhood.spec
--- LinNeighborhood-0.6.5.orig/LinNeighborhood.spec	Fri Jun 21 00:49:12 2002
+++ LinNeighborhood-0.6.5/LinNeighborhood.spec	Fri Aug 13 14:45:10 2004
@@ -1,8 +1,10 @@
 %define name	LinNeighborhood
 %define ver	0.6.5
-%define RELEASE	1
+%define RELEASE	2
 %define rel	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
 
+%define desktop_utils	%(if which desktop-file-install &>/dev/null; then echo "yes"; fi)
+
 ######################################################################
 
 Summary:	GUI for the Network Neighborhood under LINUX
@@ -58,7 +60,7 @@
 ######################################################################
 
 %install
-rm -fr $RPM_BUILD_ROOT
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"
 
 %makeinstall
 
@@ -66,19 +68,31 @@
 strip $RPM_BUILD_ROOT%{_prefix}/lib/*.so.* ||:
 
 mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
-mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
-mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/
-
 install -m 644 LinNeighborhood.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
-install -m 644 LinNeighborhood.desktop \
-		$RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
-install -m 644 LinNeighborhood.kdelnk \
-		$RPM_BUILD_ROOT/usr/share/applnk/Applications
+
+%if "%{desktop_utils}" == "yes"
+        mkdir -p "${RPM_BUILD_ROOT}%{_datadir}/applications"
+        desktop-file-install --vendor ""                                \
+                --dir "${RPM_BUILD_ROOT}%{_datadir}/applications"       \
+                --add-category X-Red-Hat-Base                           \
+                --add-category Application                              \
+                --add-category Internet                                 \
+                --add-category Network                                  \
+                LinNeighborhood.desktop
+%else
+	mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
+	mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/
+
+	install -m 644 LinNeighborhood.desktop \
+			$RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
+	install -m 644 LinNeighborhood.kdelnk \
+			$RPM_BUILD_ROOT/usr/share/applnk/Applications
+%endif
 
 ######################################################################
 
 %clean
-rm -rf $RPM_BUILD_ROOT
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"
 
 ######################################################################
 
@@ -90,13 +104,20 @@
 %{_bindir}/LinNeighborhood
 %{_datadir}/pixmaps/LinNeighborhood.xpm
 %{_datadir}/locale/*/*/*
+%{_datadir}/icons/*
+%if "%{desktop_utils}" == "yes"
+%{_datadir}/applications/*LinNeighborhood.desktop
+%else
 %{_datadir}/gnome/apps/Applications/LinNeighborhood.desktop
 %{_datadir}/applnk/Applications/LinNeighborhood.kdelnk
-%{_datadir}/icons/*
+%endif
 
 #####################################################################
 
 %changelog
+* Fri Aug 13 2004 Patrick Monnerat <patrick.monnerat@econophone.ch>
+- RPM spec template adapted to Fedora core 2.
+
 * Fri Dec 13 2001 Patrick Monnerat <patrick.monnerat@econophone.ch>
 - Updated the configure scripts for automatic directory and spec configuration.
 - Added french summary and description to the spec file.
diff -Naur LinNeighborhood-0.6.5.orig/LinNeighborhood.spec.in LinNeighborhood-0.6.5/LinNeighborhood.spec.in
--- LinNeighborhood-0.6.5.orig/LinNeighborhood.spec.in	Sun Jun  9 09:58:43 2002
+++ LinNeighborhood-0.6.5/LinNeighborhood.spec.in	Fri Aug 13 14:40:48 2004
@@ -1,8 +1,10 @@
 %define name	LinNeighborhood
 %define ver	@VERSION@
-%define RELEASE	1
+%define RELEASE	2
 %define rel	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
 
+%define desktop_utils	%(if which desktop-file-install &>/dev/null; then echo "yes"; fi)
+
 ######################################################################
 
 Summary:	GUI for the Network Neighborhood under LINUX
@@ -58,7 +60,7 @@
 ######################################################################
 
 %install
-rm -fr $RPM_BUILD_ROOT
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"
 
 %makeinstall
 
@@ -66,19 +68,31 @@
 strip $RPM_BUILD_ROOT%{_prefix}/lib/*.so.* ||:
 
 mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
-mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
-mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/
-
 install -m 644 LinNeighborhood.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
-install -m 644 LinNeighborhood.desktop \
-		$RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
-install -m 644 LinNeighborhood.kdelnk \
-		$RPM_BUILD_ROOT/usr/share/applnk/Applications
+
+%if "%{desktop_utils}" == "yes"
+        mkdir -p "${RPM_BUILD_ROOT}%{_datadir}/applications"
+        desktop-file-install --vendor ""                                \
+                --dir "${RPM_BUILD_ROOT}%{_datadir}/applications"       \
+                --add-category X-Red-Hat-Base                           \
+                --add-category Application                              \
+                --add-category Internet                                 \
+                --add-category Network                                  \
+                LinNeighborhood.desktop
+%else
+	mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
+	mkdir -p $RPM_BUILD_ROOT/usr/share/applnk/Applications/
+
+	install -m 644 LinNeighborhood.desktop \
+			$RPM_BUILD_ROOT/usr/share/gnome/apps/Applications
+	install -m 644 LinNeighborhood.kdelnk \
+			$RPM_BUILD_ROOT/usr/share/applnk/Applications
+%endif
 
 ######################################################################
 
 %clean
-rm -rf $RPM_BUILD_ROOT
+[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf "${RPM_BUILD_ROOT}"
 
 ######################################################################
 
@@ -90,13 +104,20 @@
 %{_bindir}/LinNeighborhood
 %{_datadir}/pixmaps/LinNeighborhood.xpm
 %{_datadir}/locale/*/*/*
+%{_datadir}/icons/*
+%if "%{desktop_utils}" == "yes"
+%{_datadir}/applications/*LinNeighborhood.desktop
+%else
 %{_datadir}/gnome/apps/Applications/LinNeighborhood.desktop
 %{_datadir}/applnk/Applications/LinNeighborhood.kdelnk
-%{_datadir}/icons/*
+%endif
 
 #####################################################################
 
 %changelog
+* Fri Aug 13 2004 Patrick Monnerat <patrick.monnerat@econophone.ch>
+- RPM spec template and desktop menu item adapted to Fedora core 2.
+
 * Fri Dec 13 2001 Patrick Monnerat <patrick.monnerat@econophone.ch>
 - Updated the configure scripts for automatic directory and spec configuration.
 - Added french summary and description to the spec file.
--- LinNeighborhood-0.6.5.orig/LinNeighborhood.desktop	Sun Jun  9 09:58:43 2002
+++ LinNeighborhood-0.6.5/LinNeighborhood.desktop	Fri Aug 13 15:12:52 2004
@@ -1,8 +1,8 @@
 [Desktop Entry]
 Name=LinNeighborhood
 Comment=Browse SAMBA shares
-Name[]=LinNeighborhood
-Comment[]=Browse SAMBA shares
+Name[en]=LinNeighborhood
+Comment[en]=Browse SAMBA shares
 Name[fr]=LinNeighborhood
 Comment[fr]=Voisinage réseau Samba
 Exec=LinNeighborhood
